//
//  KeychainKeys.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 09.08.23.
//

import Foundation
import KeychainAccess

extension Keychain {
  enum Keys {
    static let baseURL = "base_url"
    static let clientID = "client_id"
    static let clientSecret = "client_secret"
    static let accessToken = "access_token"
    static let refreshToken = "refreshToken"
  }
}
