// swiftlint:disable all
// Generated using SwiftGen — https://github.com/SwiftGen/SwiftGen

import Foundation

// swiftlint:disable superfluous_disable_command file_length implicit_return prefer_self_in_static_references

// MARK: - Strings

// swiftlint:disable explicit_type_interface function_parameter_count identifier_name line_length
// swiftlint:disable nesting type_body_length type_name vertical_whitespace_opening_braces
internal enum L10n {
  internal enum Albums {
    /// Albums
    internal static let title = L10n.tr("Localizable", "Albums.Title", fallback: "Albums")
  }
  internal enum Artists {
    /// %i Albums
    internal static func moreThanOneAlbum(_ p1: Int) -> String {
      return L10n.tr("Localizable", "Artists.MoreThanOneAlbum", p1, fallback: "%i Albums")
    }
    /// 1 Album
    internal static let oneAlbum = L10n.tr("Localizable", "Artists.OneAlbum", fallback: "1 Album")
    /// Artists
    internal static let title = L10n.tr("Localizable", "Artists.Title", fallback: "Artists")
  }
  internal enum Welcome {
    /// Great! Thank you for downloading Pinniped, an opinionated Funkwhale-client. In order to use this app, you need to do two things:
    internal static let description = L10n.tr("Localizable", "Welcome.Description", fallback: "Great! Thank you for downloading Pinniped, an opinionated Funkwhale-client. In order to use this app, you need to do two things:")
    /// Localizable.strings
    ///   pinniped-ios
    /// 
    ///   Created by Nathan Mattes on 08.08.23.
    internal static let title = L10n.tr("Localizable", "Welcome.Title", fallback: "Welcome!")
    internal enum ConnectServer {
      /// Connect Your Server
      internal static let title = L10n.tr("Localizable", "Welcome.ConnectServer.Title", fallback: "Connect Your Server")
    }
    internal enum Steps {
      internal enum ConnectServer {
        /// Connect
        internal static let action = L10n.tr("Localizable", "Welcome.Steps.ConnectServer.Action", fallback: "Connect")
        /// 1. Connect Your Server
        internal static let headline = L10n.tr("Localizable", "Welcome.Steps.ConnectServer.Headline", fallback: "1. Connect Your Server")
      }
      internal enum Subscribe {
        /// Subscribe
        internal static let action = L10n.tr("Localizable", "Welcome.Steps.Subscribe.Action", fallback: "Subscribe")
        /// 2. Get A Subscription
        internal static let headline = L10n.tr("Localizable", "Welcome.Steps.Subscribe.Headline", fallback: "2. Get A Subscription")
      }
    }
  }
}
// swiftlint:enable explicit_type_interface function_parameter_count identifier_name line_length
// swiftlint:enable nesting type_body_length type_name vertical_whitespace_opening_braces

// MARK: - Implementation Details

extension L10n {
  private static func tr(_ table: String, _ key: String, _ args: CVarArg..., fallback value: String) -> String {
    let format = BundleToken.bundle.localizedString(forKey: key, value: value, table: table)
    return String(format: format, locale: Locale.current, arguments: args)
  }
}

// swiftlint:disable convenience_type
private final class BundleToken {
  static let bundle: Bundle = {
    #if SWIFT_PACKAGE
    return Bundle.module
    #else
    return Bundle(for: BundleToken.self)
    #endif
  }()
}
// swiftlint:enable convenience_type
