//
//  Album.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 10.08.23.
//

import Foundation

struct Album: Codable, Hashable {
  let id: Int
  let title: String
  let release_date: String?
  let cover: Cover?

  struct Cover: Codable, Hashable {
    let urls: URLs

    struct URLs: Codable, Hashable {
      let source: String?
      let original: String?
      let medium_square_crop: String?
      let large_square_crop: String?
    }
  }
}
